#
# Config file for the Linux Terminal Server Project (www.ltsp.org)
#

#[Default]
[ws001]
	SERVER             = 192.168.0.254
	XSERVER            = XF86_SVGA
	X_MOUSE_PROTOCOL   = "PS/2"
	X_MOUSE_DEVICE     = "/dev/psaux"
	X_MOUSE_RESOLUTION = 400
	X_MOUSE_BUTTONS    = 3
	USE_XFS            = Y
	LOCAL_APPS         = Y 
	LOCAL_WM           = Y
	UI_MODE            = GUI

#------------------------------------------------------------------------------
#
# Example of specifying X settings for a workstation
#
[ws001]
    X_RES_1         = 1024x768
    X_HORZSYNC      = 31-62
    X_VERTREFRESH   = 55-90
    X_MODE_1024x768 = 75.00 1024 1048 1184 1328 768 771 777 806 -hsync -vsync
    RUNLEVEL        =5
#    

#------------------------------------------------------------------------------
#
# Example of a workstation configured to load some modules
#
[ws001]
    MODULE_01       = agpgart.o		# This is for i810 video
    MODULE_02       = uart401.o
    MODULE_03       = sb.o io=0x220 irq=5 dma=1
    MODULE_04       = opl3.o

#------------------------------------------------------------------------------
#
# Example of ws001 configured for local apps
#
[ws001]
    LOCAL_APPS      = Y
    LOCAL_WM        = Y
    NIS_DOMAIN      = ltsp
    NIS_SERVER      = 192.168.0.254

#------------------------------------------------------------------------------
#
# Example of a serial printer attached to /dev/ttyS1 on workstation ws001
#
[ws001]
    PRINTER_0_DEVICE   = /dev/ttyS1
    PRINTER_0_TYPE     = S		# P-Parallel, S-Serial
    PRINTER_0_PORT     = 9100		# tcp/ip port: defaults to 9100
    PRINTER_0_SPEED    = 9600		# baud rate: defaults to 9600
    PRINTER_0_FLOWCTRL = S		# Flow control: S-Software (XON/XOFF),
#					# H-Hardware (CTS/RTS)
    PRINTER_0_PARITY   = N		# Parity: N-None, E-Even, O-Odd
#					# (defaults to 'N')
    PRINTER_0_DATABITS = 8		# Databits: 5,6,7,8 (defaults to 8)

#------------------------------------------------------------------------------
#
# Example of setting the ramdisk size to something other than the
# default of 1024k ( 1mb ).  Make sure you also tag your kernel with
# and specify the new ramdisk size.
#
[ws001]
    RAMDISK_SIZE   = 8192
#

